import { Component } from '@angular/core';

@Component({
  selector: 'svg-nav-quiz',
  template: `
    <svg
      xmlns="http://www.w3.org/2000/svg"
      height="512pt"
      viewBox="-16 0 512 512"
      width="512pt"
    >
      <path d="m136.398438 40.117188h16.046874v15.042968h-16.046874zm0 0" />
      <path d="m168.492188 40.117188h16.046874v15.042968h-16.046874zm0 0" />
      <path d="m200.585938 40.117188h16.046874v15.042968h-16.046874zm0 0" />
      <path
        d="m111.324219 392.148438h132.496093l23.570313-23.570313-23.570313-23.566406h-132.496093v-329.96875h193.570312v88.257812h95.277344v-19.160156l-84.140625-84.140625h-219.75v345.011719h-96.28125v47.136719h47.136719v-32.09375h190.453125l8.523437 8.523437-8.523437 8.527344h-173.402344v15.042969h32.09375v40.117187h192.566406v-15.042969h-177.523437zm208.613281-366.96875 63.078125 63.078124h-63.078125zm-287.84375 351.925781h-17.050781v-17.050781h17.050781zm0 0"
      />
      <path d="m200.585938 120.351562h160.472656v15.046876h-160.472656zm0 0" />
      <path d="m200.585938 80.234375h88.261718v15.042969h-88.261718zm0 0" />
      <path d="m136.398438 80.234375h48.140624v15.042969h-48.140624zm0 0" />
      <path d="m200.585938 152.445312h88.261718v15.046876h-88.261718zm0 0" />
      <path
        d="m183.539062 120.351562h-47.140624v47.140626h47.140624zm-15.046874 32.09375h-17.046876v-17.046874h17.046876zm0 0"
      />
      <path d="m200.585938 192.5625h160.472656v15.046875h-160.472656zm0 0" />
      <path d="m200.585938 224.65625h88.261718v15.046875h-88.261718zm0 0" />
      <path
        d="m183.539062 192.5625h-47.140624v47.140625h47.140624zm-15.046874 32.09375h-17.046876v-17.046875h17.046876zm0 0"
      />
      <path d="m200.585938 264.777344h160.472656v15.042968h-160.472656zm0 0" />
      <path d="m200.585938 296.871094h88.261718v15.042968h-88.261718zm0 0" />
      <path
        d="m136.398438 311.914062h47.140624v-47.136718h-47.140624zm15.046874-32.09375h17.046876v17.050782h-17.046876zm0 0"
      />
      <path
        d="m393.152344 368.578125c-30.695313 0-55.664063 24.972656-55.664063 55.664063 0 30.695312 24.96875 55.664062 55.664063 55.664062 30.691406 0 55.664062-24.96875 55.664062-55.664062 0-30.691407-24.972656-55.664063-55.664062-55.664063zm0 96.285156c-22.398438 0-40.621094-18.222656-40.621094-40.621093 0-22.398438 18.222656-40.617188 40.621094-40.617188 22.398437 0 40.617187 18.21875 40.617187 40.617188 0 22.398437-18.21875 40.621093-40.617187 40.621093zm0 0"
      />
      <path
        d="m400.171875 336.8125v-217.460938h-15.042969v217.460938c-44.128906 3.828125-79.984375 41.574219-79.984375 87.429688 0 48.390624 39.492188 87.757812 87.882813 87.757812s87.570312-39.367188 87.570312-87.757812c0-45.855469-35.292968-83.601563-80.425781-87.429688zm-7.019531 160.144531c-40.09375 0-72.714844-32.621093-72.714844-72.714843s32.621094-72.710938 72.714844-72.710938 72.710937 32.617188 72.710937 72.710938-32.617187 72.714843-72.710937 72.714843zm0 0"
      />
      <path
        d="m385.128906 421.128906-13.59375 13.839844 10.511719 10.640625 18.125-18.25v-27.1875h-15.042969zm0 0"
      />
    </svg>
  `,
})
export class SvgNavQuizComponent {}
